unit DealBillsFrm;

interface

uses
  DealBillsDm,
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ZjGridDBA, ZJGrid, StdCtrls, ExtCtrls, sdGridDBA;

type
  TDealBillsForm = class(TForm)
    pnlTitle: TPanel;
    pnlDealBills: TPanel;
    lblTitle: TLabel;
    pnlBar: TPanel;
    zgDealBills: TZJGrid;
    saDealBills: TsdGridDBA;
  private
    FDealBillsData:  TDealBillsData;
  public
    constructor Create(ADealBillsData: TDealBillsData);
  end;

implementation

{$R *.dfm}

{ TDealBillsForm }

constructor TDealBillsForm.Create(ADealBillsData: TDealBillsData);
begin
  inherited Create(nil);
  FDealBillsData := ADealBillsData;
  saDealBills.DataView := ADealBillsData.sdvDealBills;
end;

end.
